Bug 1360117

Summary: migrate the keystone API from v2.0 to v3
Product: [Community] Beaker Reporter: matt jia <mjia>
Component: generalAssignee: matt jia <mjia>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: developCC: dcallagh, dowang, mjia, rjoost
Target Milestone: 24.0Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-21 18:49:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description matt jia 2016-07-26 04:28:28 UTC
The OpenStack integration now is using the v2.0 identity API which will be deprecated in near future. It might be a good time to migrate it to V3 when working on beaker 24.0.

Comment 1 Dan Callaghan 2016-10-04 05:31:24 UTC
I think you actually did this as part of this patch, right?

https://gerrit.beaker-project.org/5243

Comment 2 matt jia 2016-10-04 05:34:27 UTC
(In reply to Dan Callaghan from comment #1)
> I think you actually did this as part of this patch, right?
> 
> https://gerrit.beaker-project.org/5243

Yes, I have also update beaker-create-ipxe-image to use V3.

https://gerrit.beaker-project.org/#/c/5281/

Comment 5 Dan Callaghan 2017-02-21 18:49:37 UTC
Beaker 24.0 has been released.